# Interface SourceComponentSpec

All Superinterfaces:
  `ComponentSpec, ModelElement, Named`

All Known Subinterfaces:
  `ApplicationSpec, CUnitTestSuiteSpec, GeneralComponentSpec, GoogleTestTestSuiteSpec, JUnitTestSuiteSpec, JvmLibrarySpec, JvmTestSuiteSpec, LibrarySpec, NativeExecutableSpec, NativeLibrarySpec, NativeTestSuiteSpec, PlayApplicationSpec, TestSuiteSpec`

All Known Implementing Classes:
  `BaseComponentSpec`

@Incubating public interface SourceComponentSpec extends ComponentSpec
Represents some component whose implementation can be represented as a collection of source files, and whose other outputs are built from this source.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`ModelMap<LanguageSourceSet>`
`getSources()`
The source sets for this component.

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

## Method Details

### getSources

ModelMap<LanguageSourceSet> getSources()
The source sets for this component.